Bug 312471 - hard-dependency on htmlview drags in additional inappropriate deps
hard-dependency on htmlview drags in additional inappropriate deps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pinfo (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 13:09 EDT by Curtis Doty
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 13:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2007-09-29 13:09:22 EDT
In bz#123349, we hard-coded a dependency on the htmlview package. Which in turn
drags in these additional deps:

pinfo
 -> htmlview 
     -> redhat-menus 
         -> desktop-file-utils

But this is inappropriate on minimalist/console-only systems that need no
X11/desktop crap.

One idea would be to create another soft dep called "htmlviewer" (much like lynx
already provides "webclient"). Then of course, both lynx and htmlview (and even
elinks) would have to be rebuilt to provide "htmlviewer".

But this doesn't solve the proper editing of the *VIEWER options /etc/pinforc.
So maybe some sort of alternatives setup is needed? But that seems way to
complex. What is the *VIEWER code really used for anyways and how important is
it to the core pinfo/pman functionality?
Comment 1 Curtis Doty 2007-09-29 13:16:01 EDT
Whoops, proper link to Bug 123349 and adding original author.
Comment 2 Ville Skyttä 2007-09-30 17:14:01 EDT
I think it would be good to use xdg-open from xdg-utils.  It offers the same
functionality as htmlview but also groks KDE and XFCE users' settings in
addition to GNOME (and does have a console fallback mode), and doesn't have a
problematic dependency chain.  Also, the default MAILEDITOR could be set to
xdg-email (also in the xdg-utils package).
Comment 3 Curtis Doty 2007-10-02 12:08:15 EDT
xdg-utils solves the redhat-menus dep, but still clings to desktop-file-utils
which is still not appropriate for a non-X11 system.
Comment 4 Ville Skyttä 2007-10-02 12:57:52 EDT
True, but FWIW, in my opinion desktop-file-utils is nothing to worry about, it's
a ~110kB package and the only "extra" dependency in it is glib2 which I don't
think can be realistically removed from a working Fedora setup anyway.

OTOH, I wouldn't object to the dependency being removed altogether - but even
without the dependency, IMO using xdg-utils if it's available would be a better
choice than htmlview.
Comment 5 Miroslav Lichvar 2007-10-03 13:10:28 EDT
Ok, htmlview is replaced with xdg-open and xdg-email in pinfo-0.6.9-5.fc8.

Do you want to have this also in F7 updates? (I'd prefer to not change the
default values this late in F7)

Note You need to log in before you can comment on or make changes to this bug.